www.cendio.com

Bug 4489

Summary: Our .desktop files are not XDG compliant
Product: ThinLinc Reporter: Aaron Sowry <aaron@cendio.se>
Component: MiscAssignee: Peter Åstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 Keywords: aaron_tester
Version: 4.0.0   
Target Milestone: 4.1.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2012-11-23 11:30:51
From
http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-1.0.html:

"Some keys can have multiple values. In such a case, the value of the key is
specified as a plural: for example, string(s). The multiple values should be
separated by a semicolon. Those keys which have several values should have a
semicolon as the trailing character."

We don't use the trailing semicolon - strangely enough, nobody else seems to
either.
------- Comment #1 From cendio 2012-11-27 10:29:15 -------
Also have a look at TLDC to make sure it does the correct thing.
------- Comment #2 From cendio 2013-04-15 09:50:15 -------
(In reply to comment #1)
> Also have a look at TLDC to make sure it does the correct thing.

TLDC does not create any multi key value keys, so no problem.
------- Comment #3 From cendio 2013-04-15 09:54:05 -------
Fixed in 27067.
------- Comment #4 From cendio 2013-05-14 11:02:04 -------
Quick code review, looks fine to me. Closing.